#include "..\MaterialDefine.def"

[Technique]
{
;  Detail        = DETAIL_HIGH

; a textura, vertex color, vertex alpha muveletek!
  [Pass]
  {
    [Layer]
    {
      TextureSource     = TEXT_BUMP
      TexCoordIndex     = 0

      ColorArg1 = TA_TEXTURE
      ColorArg2 = TA_DIFFUSE
      ColorOp   = TOP_DOTPRODUCT3

      AlphaArg1 = TOP_DISABLE

      TextureAddressU = TADDRESS_WRAP
      TextureAddressV = TADDRESS_WRAP

      Filter = TF_LINEAR_MIP_LINEAR
    }
    [Layer]
    {
      ColorArg1	= TA_CURRENT
      ColorArg2 = TA_TFACTOR
      ColorOp	= TOP_MODULATE
    }
#include "..\VERTEXFORMATS\Bump0.vfd"
    VertexShader	= "MoonBump_l0.vso"
    VertexShaderSetup	= "VSS_MOONBUMP"

    FillMode    = FILL_SOLID
    Cull        = CULL_CW
    DitherEnable        = TRUE
    SpecularEnable      = FALSE

    LightingEnable      = FALSE
    NormalizeNormals    = FALSE
    LocalViewer         = FALSE

    AlphaTestEnable	= FALSE

    TextureFactor       = 255,255,255,255 ;ebbe kell rakni a diffuse material x diffuse color erteket!

    AlphaBlendEnable    = FALSE

    ZWriteEnable        = TRUE
    ZFunc               = CMP_LESS
  }
; a glow vilagosito resze!
  [Pass]
  {
    [Layer]
    {
      TextureSource     = TEXT_DIFFUSE
      TexCoordIndex     = 0

      ColorArg1 = TA_TEXTURE
      ColorOp   = TOP_SELECTARG1

      AlphaOp   = TOP_DISABLE

      TextureAddressU = TADDRESS_WRAP
      TextureAddressV = TADDRESS_WRAP

      Filter = TF_LINEAR_MIP_LINEAR
    }
    [Layer]
    {
      TextureSource     = TEXT_AMBIENT
      TexCoordIndex     = 1

      ColorArg1 = TA_CURRENT
      ColorArg2 = TA_TEXTURE
      ColorOp   = TOP_MODULATE

      TextureAddressU = TADDRESS_WRAP
      TextureAddressV = TADDRESS_WRAP

      Filter = TF_LINEAR_MIP_LINEAR
    }

#include "..\VERTEXFORMATS\Bump0.vfd"
    VertexShader	= "MoonBump_l1.vso"
    VertexShaderSetup	= "VSS_MOONBUMP"

    FillMode    = FILL_SOLID
    Cull        = CULL_CW
    DitherEnable        = TRUE
    SpecularEnable      = FALSE

    LightingEnable      = FALSE
    NormalizeNormals    = FALSE
    LocalViewer         = FALSE

    AlphaTestEnable	= FALSE

    AlphaBlendEnable    = TRUE
    SrcBlend    = BLEND_DESTCOLOR
    DestBlend   = BLEND_ZERO

    ZWriteEnable        = FALSE
    ZFunc               = CMP_LESSEQUAL
  }
}
